For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.getply.com/api-reference/swagger-plant-store-open-api-3-1/plant/llms.txt. For full documentation content, see https://docs.getply.com/api-reference/swagger-plant-store-open-api-3-1/plant/llms-full.txt.

# Search plants by status

GET https://api.plantstore.dev/v3/plant/search/status

Filter plants based on their current status.

Reference: https://docs.getply.com/api-reference/swagger-plant-store-open-api-3-1/plant/search-plants-by-status

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: example-openapi
  version: 1.0.0
paths:
  /plant/search/status:
    get:
      operationId: search-plants-by-status
      summary: Search plants by status
      description: Filter plants based on their current status.
      tags:
        - subpackage_plant
      parameters:
        - name: status
          in: query
          description: The status of plants to search for.
          required: false
          schema:
            $ref: '#/components/schemas/PlantSearchStatusGetParametersStatus'
      responses:
        '200':
          description: List of plants matching the status filter
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PlantResponse'
servers:
  - url: https://api.plantstore.dev/v3
components:
  schemas:
    PlantSearchStatusGetParametersStatus:
      type: string
      enum:
        - available
        - pending
        - sold
      title: PlantSearchStatusGetParametersStatus
    PlantResponse:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        status:
          type: string
        tags:
          type: array
          items:
            type: string
      title: PlantResponse

```

## SDK Code Examples

```python Plants with status available
import requests

url = "https://api.plantstore.dev/v3/plant/search/status"

response = requests.get(url)

print(response.json())
```

```javascript Plants with status available
const url = 'https://api.plantstore.dev/v3/plant/search/status';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Plants with status available
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.plantstore.dev/v3/plant/search/status"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Plants with status available
require 'uri'
require 'net/http'

url = URI("https://api.plantstore.dev/v3/plant/search/status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Plants with status available
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.plantstore.dev/v3/plant/search/status")
  .asString();
```

```php Plants with status available
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.plantstore.dev/v3/plant/search/status');

echo $response->getBody();
```

```csharp Plants with status available
using RestSharp;

var client = new RestClient("https://api.plantstore.dev/v3/plant/search/status");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Plants with status available
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.plantstore.dev/v3/plant/search/status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```